> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Means

> GET /api/v1/einvoice/resources/payment-means

**GET** `/api/v1/einvoice/resources/payment-means`

## Request example

```bash theme={null}
curl -X GET "{{BASE_URL}}/api/v1/einvoice/resources/payment-means" \
  -H "API-KEY: <your_api_key>" \
  -H "API-SECRET: <your_api_secret>" \
  -H "Accept: application/json"
```

## Response examples

**200**

```json theme={null}
{
  "code": 200,
  "data": [
    {
      "code": "10",
      "value": "Cash"
    },
    {
      "code": "20",
      "value": "Cheque"
    },
    {
      "code": "30",
      "value": "Credit Transfer"
    },
    {
      "code": "31",
      "value": "Debit Transfer"
    },
    {
      "code": "42",
      "value": "ACH Credit"
    },
    {
      "code": "43",
      "value": "ACH Debit"
    },
    {
      "code": "48",
      "value": "Bank Card"
    },
    {
      "code": "49",
      "value": "Direct Debit"
    },
    {
      "code": "50",
      "value": "Credit Card"
    },
    {
      "code": "58",
      "value": "Banker's Draft"
    },
    {
      "code": "97",
      "value": "Other"
    },
    {
      "code": "ZZZ",
      "value": "Mutually Defined"
    }
  ]
}
```

**400**

```json theme={null}
{
  "status": false,
  "code": 400,
  "message": "Failed to validate invoice",
  "data": null,
  "error": {
    "id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
    "handler": "invoice_actions",
    "details": "this business does not exist",
    "public_message": "validation failed"
  },
  "timestamp": "2025-12-23T14:54:12.477393Z"
}
```

**401**

```json theme={null}
{
  "status": false,
  "code": 401,
  "message": "Unauthorized",
  "data": null,
  "error": {
    "details": "invalid or missing API credentials"
  }
}
```


## OpenAPI

````yaml GET /api/v1/einvoice/resources/payment-means
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/resources/payment-means:
    get:
      tags:
        - Resources
      summary: Get Payment Means
      responses:
        '200':
          description: Get Payment Means (JSON)
          content:
            application/json:
              example:
                code: 200
                data:
                  - code: '10'
                    value: Cash
                  - code: '20'
                    value: Cheque
                  - code: '30'
                    value: Credit Transfer
                  - code: '31'
                    value: Debit Transfer
                  - code: '42'
                    value: ACH Credit
                  - code: '43'
                    value: ACH Debit
                  - code: '48'
                    value: Bank Card
                  - code: '49'
                    value: Direct Debit
                  - code: '50'
                    value: Credit Card
                  - code: '58'
                    value: Banker's Draft
                  - code: '97'
                    value: Other
                  - code: ZZZ
                    value: Mutually Defined
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: false
                code: 400
                message: Failed to validate invoice
                data: null
                error:
                  id: 5c4c008e-8f1e-4034-a96b-8b352c143da5
                  handler: invoice_actions
                  details: this business does not exist
                  public_message: validation failed
                timestamp: '2025-12-23T14:54:12.477393Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````